package com.ruoyi.system.mapper.project;

import com.ruoyi.system.domain.project.BmProject;
import com.ruoyi.system.domain.vo.BmDeptPlanVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 项目(添加线索)Mapper接口
 * 
 * @author bm
 * @date 2021-03-03
 */
public interface BmProjectMapper 
{
    /**
     * 查询项目(添加线索)
     * 
     * @param id 项目(添加线索)ID
     * @return 项目(添加线索)
     */
    public BmProject selectBmProjectById(Long id);

    /**
     * 查询项目(添加线索)列表
     * 
     * @param bmProject 项目(添加线索)
     * @return 项目(添加线索)集合
     */
    public List<BmProject> selectBmProjectList(BmProject bmProject);

    /**
     * 首页查询待审核列表
     * @param bmProject
     * @return
     */
    public List<BmProject> selectToBeReviewedList(BmProject bmProject);

    /**
     * 新增项目(添加线索)
     * 
     * @param bmProject 项目(添加线索)
     * @return 结果
     */
    public int insertBmProject(BmProject bmProject);

    /**
     * 修改项目(添加线索)
     * 
     * @param bmProject 项目(添加线索)
     * @return 结果
     */
    public int updateBmProject(BmProject bmProject);

    /**
     * 删除项目(添加线索)
     * 
     * @param id 项目(添加线索)ID
     * @return 结果
     */
    public int deleteBmProjectById(Long id);

    /**
     * 批量删除项目(添加线索)
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBmProjectByIds(Long[] ids);

    /**
     * 统计分析公共查询列表
     * @param ids
     * @return
     */
    public List<BmProject> selectStatisticsList(Long[] ids);

    /**
     * 统计分析-在谈线索-柱状图
     * @param year
     * @return
     */
    public List<BmDeptPlanVo> selectProjectEharts(@Param("year") String year);

    /**
     * 统计分析-签约项目-柱状图
     * @param year
     * @return
     */
    public List<BmDeptPlanVo> selectProjectContractEharts(@Param("year") String year);
}
